XSLTContext
Keywords: org.w3c.xsl.XSLTContext interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.xsl
Interface XSLTContext

All Known Implementing Classes:
  Context

public interface XSLTContext

Interface to be used with XSLT extension functions written in Java

Method Summary
`org.w3c.dom.Node` | `getContextNode()` Return the context node from the XPath expression context
`int` | `getContextPosition()` Return the context position from the XPath expression context
`int` | `getContextSize()` Return the context size from the XPath expression context
`org.w3c.dom.Node` | `getCurrentNode()` Return the current node from the XSLT context: the same as the result of calling the current() function from the XPath expression context
`org.w3c.dom.Document` | `getOwnerDocument()` Return a Document to be used for creating nodes
`java.lang.String` | `stringValue(org.w3c.dom.Node n)` Return the string-value of the specified Node
`java.lang.Object` | `systemProperty(java.lang.String namespaceURI, java.lang.String localName)` Return an object representing the value of the system property whose expanded name has the specified URI and local part

Method Detail

### getContextNode

    public org.w3c.dom.Node getContextNode()

  Return the context node from the XPath expression context

### getContextPosition

    public int getContextPosition()

  Return the context position from the XPath expression context

### getContextSize

    public int getContextSize()

  Return the context size from the XPath expression context

### getCurrentNode

    public org.w3c.dom.Node getCurrentNode()

  Return the current node from the XSLT context: the same as the result of calling the current() function from the XPath expression context

### getOwnerDocument

    public org.w3c.dom.Document getOwnerDocument()

  Return a Document to be used for creating nodes

### systemProperty

    public java.lang.Object systemProperty(java.lang.String namespaceURI,
                                           java.lang.String localName)

  Return an object representing the value of the system property whose expanded name has the specified URI and local part

### stringValue

    public java.lang.String stringValue(org.w3c.dom.Node n)

  Return the string-value of the specified Node

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD